/* Copyright (c) 2010 Peter Rudenko
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */


/*
BITE    - - - - - - - - - + - - + + - - 12800
BALL    + + + + + + - - - - - - + - - - 4159
WALL    + + + + + + - - + - + - - - - + 34111
FLOOR   + + + + + + - - + - + + - + + - 27967
PIECES  - - - - - - - - - - - + - - - + 34816
OBJ     + + + + + + - - + - - - + - - - 4415
BONUS   - - - - - - - - - - + - - + - - 9216
PLRPTS  - - - - - - - - - - - - - - + - 16384
ROCKET  - - - - - - - - + + - - - - - - 768
INVIS   - - - - - - + + - - - - - - - -
DISABL  - - - - - - - - - - + - - - - -
*/


#define PLAYER_BITE_LAYER 12800
#define PLAYER_BALL_LAYER 4159
#define WALL_LAYER 34111
#define FLOOR_LAYER 27967
#define PIECE_LAYER 34816
#define OBJECT_LAYER 4415
#define BONUS_LAYER 9216
#define PLAYER_PARTS_LAYER 16384
#define ROCKET_LAYER 768
#define INVISIBLE_LAYER 192
#define DISABLED_LAYER 1024

#define PLAYER_BITE_CT 1
#define PLAYER_BALL_CT 2
#define WALL_CT 3
#define FLOOR_CT 4
#define PIECE_CT 5
#define OBJECT_CT 6
#define BONUS_CT 7
#define PLAYER_PARTS_CT 8
#define INVISIBLE_CT 9
#define DISABLED_CT 10
#define ROCKET_CT 11

#define HINTS_MAX 5

#define NORMAL_BALL_SPEED 444
#define HIGH_BALL_SPEED 590
#define LOW_BALL_SPEED 300

#define NORMAL_BITE_SPEED 7.9f
#define HIGH_BITE_SPEED 8.8f
#define LOW_BITE_SPEED 5.7f

#define BONUS_BALL_SPEED_UP 0
#define BONUS_BITE_SPEED_UP 1
#define BONUS_BALL_SPEED_DOWN 2
#define BONUS_BITE_SPEED_DOWN 3
#define BONUS_BITE_REVERSE_CONTROL 4
#define BONUS_BALL_JOINT 5
#define BONUS_ROCKET 6
#define BONUS_LIFE 7
#define BONUS_MONEY 8

#define NAME_LEN 30 /* do not change */

